@import "[default].parameters.css";

.field-validation-error {
    color: #b50202 !important; /*rosso*/
    font-size: var(--text-body-small);
}

.form-input-style {
    border: 1px solid var(--color-gray-400); 
    border-radius: 5px;
    background-color: var(--color-white);
/*    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);*/
    outline: none; 
    transition: box-shadow 0.2s, border-color 0.2s;
}

    .form-input-style:focus {
        box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
        border-color: #333;
    }

select {
    border: 1px solid var(--color-gray-400);
    border-radius: 5px;
    background-color: var(--color-white);
/*    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);*/
    outline: none;
    height: 100%;
    margin-bottom: 1rem;
}

option {
    padding: 24px 8px;
    height: 2rem;
    display: flex;
    align-items: center;
}

    option:active, option:focus, option:hover {
        background-color: var(--color-green-300);
        color: var(--color-text-base);
    }